Name:           perl-CGI-Persistent
Version:        1.11
Release:        2%{?dist}
Summary:        CGI::Persistent Perl module
License:        CHECK(GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Persistent/
Source0:        http://www.cpan.org/authors/id/V/VI/VIPUL/CGI-Persistent-%{version}.tar.gz
Patch0: perl-CGI-Persistent-1.11-Fetching.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Persistence::Object::Simple)
BuildRequires:  perl(CGI)
Requires:       perl(Persistence::Object::Simple)
Requires:       perl(CGI)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
put roach.cgi in a directory visible to your webserver and create a server
writable directory "dope" below it. point your browser to
http://localhost/somedir/roach.cgi

%prep
%setup -q -n CGI-Persistent-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc 
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jan 15 2025 Jean-Philippe Pialasse <jpp@koozali.org> 1.11-2.sme
- fix warning CGI::param called in list context  [SME: 12788]

* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> 1.11-1
- First build using cpanspec [SME: 9329]
